import { aws_ec2, aws_rds, aws_secretsmanager } from "aws-cdk-lib";
import { Construct } from "constructs";
export declare class BootstrapPgStac extends Construct {
    secret: aws_secretsmanager.ISecret;
    constructor(scope: Construct, id: string, props: BootstrapPgStacProps);
}
export interface BootstrapPgStacProps {
    readonly vpc: aws_ec2.IVpc;
    readonly database: aws_rds.IDatabaseInstance;
    readonly dbSecret: aws_secretsmanager.ISecret;
    readonly pgstacDbName: string;
    readonly pgstacUsername: string;
    readonly pgstacVersion: string;
    readonly secretsPrefix: string;
    readonly schemaVersion: string;
}
