import { aws_ec2, aws_rds, aws_secretsmanager } from "aws-cdk-lib";
import { Construct } from "constructs";
import { BootstrapPgStac } from "./bootstrap-pgstac/bootstrap-pgstac";
export declare class PgStacRdsInstance extends Construct {
    instance: aws_rds.IDatabaseInstance;
    pgstac: BootstrapPgStac;
    constructor(scope: Construct, id: string, props: PgStacRdsInstanceProps);
}
export interface PgStacRdsInstanceProps {
    readonly vpc: aws_ec2.IVpc;
    readonly dbSecret: aws_secretsmanager.ISecret;
    readonly dbname: string;
    readonly adminUser?: string;
    readonly user: string;
    readonly pgstacVersion: string;
    readonly schemaVersion: string;
    readonly instanceType?: aws_ec2.InstanceType;
    readonly snapshotId: aws_rds.DatabaseInstanceFromSnapshotProps["snapshotIdentifier"];
    readonly privateSubnets: boolean;
    readonly parameters: aws_rds.ParameterGroupProps["parameters"];
}
